# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'json_api_resource_adapters/version'

Gem::Specification.new do |spec|
  spec.name          = "json_api_resource_adapters"
  spec.version       = JsonApiResourceAdapters::VERSION
  spec.authors       = ["Greg"]
  spec.email         = ["greg@avvo.com"]

  spec.summary       = "Various adapters for JsonApiResource"
  spec.description   = "Adapters for JsonApiResource: Autobots preloading; Elasticsearch"
  spec.homepage      = "https://github.com/gaorlov/json_api_resource_adapters"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
  
  spec.add_dependency "json_api_resource"

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
